Skip to main content
POST
/
v3
/
sites
/
{site}
/
groups
Create Group
curl --request POST \
  --url https://app.plugchoice.com/api/v3/sites/{site}/groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "net_type": "<string>",
  "total_amps": 123,
  "meter_uuid": "<string>",
  "meter_id": 123
}
'
Creates a new load balancing group for the specified location. If a group already exists, it will be deleted and replaced with the new one.
site
string
required
The UUID of the location.
net_type
string
required
The electrical network type. Must be one of: IT, TT, TN, unknown.
total_amps
integer
required
The total available amperage for the group. Minimum value is 6.
meter_uuid
string
The UUID of a meter to attach to the group. Cannot be used together with meter_id.
meter_id
integer
The numeric ID of a meter to attach to the group. Cannot be used together with meter_uuid.